import {createCardSlider} from "./CardSliderComponent";
import {sliderData} from "./CardSliderData";


export default {
    title: 'Sections/Card Slider',
    argTypes: {
        slides: {
            name: 'Slides',
            control: {type: 'object'},
            defaultValue: sliderData,
        }
    }
}

const Template = ({...args}) => {
    return createCardSlider({...args});
};


export const CardSlider = Template.bind({});
CardSlider.args = {};

export const CardSliderFullwidth = Template.bind({});
CardSliderFullwidth.args = {
    fullWidth: true
};
